For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Returns all secrets detected by Postman's [Secret Scanner](https://learning.postman.com/docs/administration/secret-scanner/), grouped by workspace or resource. If you pass an empty request body, this endpoint returns all results.
Authentication
x-api-keystring
API Key authentication via header
Query parameters
limitintegerOptionalDefaults to 10
The maximum number of rows to return in the response.
cursorstringOptional
The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.
includestringOptional
The additional fields to be included as a part of the request:
- `meta.total` — Include the total records found in the `meta` response object.
sincedatetimeOptional
Return only results created since the given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be later than the `until` value. To use `time-numoffset` format, you must use `%2B` URL-encoding for the `+` character.
untildatetimeOptional
Return only results created until this given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be earlier than the `since` value. To use `time-numoffset` format, you must use `%2B` URL-encoding for the `+` character.
Request
This endpoint expects an object.
resolvedbooleanOptional
If true, return secrets with a resolved status.
secretTypeslist of stringsOptional
A list of secrets types to query. For a list of valid IDs, use the GET /secret-types endpoint.
statuseslist of enumsOptional
A list of the types of resolution statuses to query.
Allowed values:
resourceslist of objectsOptional
A list of resources to query. If you use this query, you cannot also pass the workspaceIds query.
workspaceIdslist of stringsOptional
A list of workspaces IDs to query. If you use this query, you cannot also pass the resources query.
workspaceVisibilitieslist of enumsOptional
A list of workspace visibility settings to query. This currently supports the team and public settings.
Allowed values:
Response
Successful Response
metaobjectOptional
The response's meta information for paginated results.
datalist of objectsOptional
A list of detected secrets that match the search criteria.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
Returns all secrets detected by Postman’s Secret Scanner, grouped by workspace or resource. If you pass an empty request body, this endpoint returns all results.
The additional fields to be included as a part of the request:
meta.total — Include the total records found in the meta response object.
Return only results created since the given time, in ISO 8601 format. This value cannot be later than the until value. To use time-numoffset format, you must use %2B URL-encoding for the + character.
Return only results created until this given time, in ISO 8601 format. This value cannot be earlier than the since value. To use time-numoffset format, you must use %2B URL-encoding for the + character.